2009年4月22日

[plamo:29707] poppler-0.10.6


Xpdf 由来の PDF 用ライブラリの poppler に複数の脆弱性が見つかり,対応版(0.10.6)
がリリースされたようです.

http://jvn.jp/cert/JVNVU196617/

# 白黒 2 値画像用の JIBG2 回りだそうな

とり急ぎ,poppler と PDF ビューワである epdfview の最新版をビルドしました.
なお,poppler が要求する openjpeg もパッケージ化しているので併せてご利用ください.

poppler-0.10.6 : ftp://plamo.linet.gr.jp/pub/Plamo-test/for-4.6x/poppler-0.10.6-i586-P1.tgz
epdfview-0.1.7 : ftp://plamo.linet.gr.jp/pub/Plamo-test/for-4.6x/epdfview-0.1.7-i586-P1.tgz
openjpeg-1.3 : ftp://plamo.linet.gr.jp/pub/Plamo-test/for-4.6x/openjpeg-1.3-i586-P1.tgz

poppler はライブラリ(/usr/lib/libpoppler.so.4, /usr/lib/libpoppler-glib.so.4)の so バージョンが
上っていて,そのままだと動かないアプリが出そうなので,とりあえず so.4 から so.3 へのリンクを
張ってごまかしています.

# epdfview は再ビルドしたけど evince あたりも使っているはず.

-----
こじま

投稿者 xml-rpc : 2009年4月22日 10:40
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/84548
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。